FGFS(1)

NOME
fgfs - il simulatore di volo FlightGear

SINTASSI
fgfs [opzioni...]

DESCRIZIONE
fgfs è l'eseguibile principale di FlightGear, un framework di simulazione di volo libero, open source, multipiattaforma e sofisticato per lo sviluppo e la ricerca di interessanti idee sulla simulazione di volo.

OPZIONI
Le opzioni sono inizialmente lette dagli argomenti della riga di comando forniti a fgfs. Il programma quindi controlla l'esistenza di ~/.fgfsrc.hostname (dove hostname è il nome host della macchina) e di ~/.fgfsrc; se almeno uno di questi file esiste, è letto e analizzato (vedi la pagina di manuale fgfsrc(5) per le specifiche complete del formato di file). Nel caso in cui siano fornite opzioni in conflitto tra loro, prevarranno quelle lette per ultime.

  Opzioni generali

--help, -h
    Mostra informazioni sull'utilizzo delle opzioni della riga di comando più importanti ed esce.

--verbose, -v
    Quando combinato con --help/-h, mostra informazioni sull'utilizzo di tutte le opzioni della riga di comando, non solo di quelle più importanti.

--version
    Mostra informazioni sulla versione di fgfs e di alcune delle librerie utilizzate dal programma (SimGear, OpenSceneGraph, PLIB), quindi esce.

--fg-root=percorso
    Imposta la directory radice dei dati di FlightGear ($FG_ROOT) a percorso. Se quest'opzione non è impostata, fgfs utilizza il percorso specificato nella variabile d'ambiente FG_ROOT o, in sua assenza, la directory dei dati di FlightGear scelta all'atto della compilazione del programma.

--fg-scenery=percorso
    Imposta le directory dello scenario di FlightGear ($FG_SCENERY) a percorso. È possibile specificare più directory separandole con due punti (:), come in /primo/percorso:/secondo/percorso (sui sistemi operativi Microsoft Windows, invece, i percorsi multipli devono essere separati da punti e virgola): in tal caso, fgfs seguirà l'ordine in cui i percorsi sono stati specificati per cercare i file dello scenario, fermandosi non appena è stato trovato il file cercato. Se quest'opzione non è impostata, fgfs utilizza il percorso specificato nella variabile d'ambiente FG_SCENERY o, in sua assenza, la sottodirectory Scenery all'interno di $FG_ROOT.

--fg-aircraft=percorso
    Carica aerei aggiuntivi da percorso oltre alla sottodirectory Aircraft all'interno di $FG_ROOT. In alternativa, è possibile utilizzare --aircraft-dir per puntare a uno specifico aereo in una data directory.

--download-dir=percorso
    Salva gli aerei e lo scenario scaricati tramite il simulatore in percorso. La directory di TerraSync può essere impostata in modo specifico con l'opzione --terrasync-dir.

--allow-nasal-read=directory
    Permetti agli script aereo Nasal di leggere file dalle directory elencate in directory (percorsi multipli vanno separati con due punti, o punti e virgola sui sistemi operativi Microsoft Windows). Per impostazione predefinita, agli script Nasal è permesso leggere dati solo da $FG_ROOT e $FG_HOME per motivi di sicurezza.

--read-only
    Rendi $FG_HOME (il percorso in cui sono salvati i dati di FlightGear specifici per ogni utente) di sola lettura.

--language=codice
    Imposta la lingua utilizzata dal simulatore a codice, dove codice è un codice lingua ISO 639-1 a due lettere (ad esempio, en o it).

--restore-defaults
    Reimposta tutte le impostazioni utente ai loro valori predefiniti.

--enable-save-on-exit, --disable-save-on-exit
    Salva/non salva le impostazioni utente all'uscita dal programma.

--ignore-autosave
    Ignora le impostazioni utente salvate durante la precedente esecuzione di FlightGear. Quest'opzione implica --disable-save-on-exit.

--browser-app=percorso
    Utilizza il browser Web specificato in percorso per aprire la documentazione degli aerei.

--prop:[tipo:]nome=valore
    Imposta la proprietà nome a valore. È facoltativamente possibile specificare il tipo della proprietà impostando tipo a string, double, float, long, int o bool.

--config=percorso
    Carica direttive di configurazione aggiuntive da percorso. Il file deve essere nel formato descritto in fgfsrc(5).

--no-default-config
    Non carica alcun file di configurazione, eccetto quelli esplicitamente specificati con --config.

--units-feet
    Utilizza i piedi come unità di misura interna per le distanze.

--units-meters
    Utilizza i metri come unità di misura interna per le distanze.

--console
    Mostra una finestra console per il debug del simulatore/degli aerei. Quest'opzione è riconosciuta solo sui sistemi operativi Microsoft Windows; su altri sistemi, i messaggi di debug sono sempre stampati sullo standard output/standard error.

--launcher
    Avvia il FlightGear Launcher, un'interfaccia grafica per il simulatore basata su Qt. Quest'opzione è disponibile solo se FlightGear è stato compilato con il supporto a Qt abilitato.

--json-report
    Stampa un rapporto in formato JSON sullo standard output. Il rapporto fornirà informazioni utili per scopi di debug, come la versione di FlightGear, i percorsi utilizzati per lo scenario/gli aerei, le directory di download di TerraSync e dei dati e i percorsi ai file dei dati di navigazione.

  Funzionalità

--enable-panel, --disable-panel
    Abilita/disabilita il pannello strumenti aereo a scomparsa se l'aereo scelto ne è provvisto.

--enable-hud, --disable-hud
    Abilita/disabilita l'heads-up display (HUD) se l'aereo scelto ne è provvisto.

--enable-anti-alias-hud, --disable-anti-alias-hud
    Abilita/disabilita l'antialiasing dell'heads-up display.

--enable-hud-3d, --disable-hud-3d
    Abilita/disabilita la versione 3D dell'heads-up display.

--hud-tris
    Mostra il numero di triangoli renderizzati durante il disegno dell'heads-up display.

--hud-culled
    Mostra il numero di triangoli sottoposti a culling durante il disegno dell'heads-up display.

--enable-random-objects, --disable-random-objects
    Mostra/nasconde oggetti casuali nello scenario, come edifici. Gli oggetti dello scenario aumentano il realismo, ma richiedono più risorse (memoria e potenza della GPU).

--enable-random-vegetation, --disable-random-vegetation
    Mostra/nasconde vegetazione casuale.

--enable-random-buildings, --disable-random-buildings
    Mostra/nasconde edifici casuali.

--enable-ai-models, --disable-ai-models
    Abilita/disabilita il sottosistema IA interno richiesto per il gioco multigiocatore, il traffico IA e molte altre animazioni. La disabilitazione del sottosistema IA interno è deprecata.

--enable-ai-traffic, --disable-ai-traffic
    Abilita/disabilita il traffico aereo artificiale.

--ai-scenario=scenario
    Aggiunge e abilita lo scenario IA scenario. Quest'opzione può essere ripetuta più volte per abilitare scenari multipli.

--enable-freeze
    Avvia il simulatore in uno stato bloccato (in pausa).

--disable-freeze
    Avvia il simulatore in uno stato di esecuzione (non in pausa).

--enable-fuel-freeze
    Non fa consumare carburante (mantiene la sua quantità nei serbatoi costante).

--disable-fuel-freeze
    Fa consumare il carburante normalmente.

--enable-clock-freeze
    Non consente all'orologio di avanzare durante l'esecuzione della simulazione.

--disable-clock-freeze
    Fa sì che l'orologio avanzi normalmente.

--failure=pitot|static|vacuum|electrical
    Fa guastare i sistemi pitot, statico, del vuoto o elettrico dell'aereo. Quest'opzione può essere ripetuta più volte per far guastare più di un sistema.

--load-tape=nastro
    Carica e riproduce il nastro del registratore di volo nastro.

  Opzioni audio

--show-sound-devices
    Mostra un elenco di dispositivi audio disponibili ed esce.

--sound-device=nome
    Imposta il dispositivo audio da utilizzare a nome, dove nome è il nome dispositivo visualizzato dall'opzione --show-sound-devices.

--enable-sound, --disable-sound
    Abilita/disabilita l'audio nel simulatore.

  Opzioni rendering

--terrain-engine=tilecache|pagedLOD
    Seleziona il terrain engine da utilizzare. tilecache è il terrain engine "tradizionale" (raccomandato); pagedLOD è un terrain engine nuovo e sperimentale progettato per ridurre al minimo l'utilizzo di memoria caricando le versioni maggiormente dettagliate degli oggetti dello scenario su richiesta. Il motore pagedLOD è disponibile solo se FlightGear è stato compilato con il supporto GDAL.

--lod-levels=livelli
    Imposta i livelli del livello di dettaglio a livelli, dove livelli è un elenco separato da spazi di livelli numerici. Quest'opzione è disponibile solo se il terrain engine in uso è pagedLOD.

--lod-res=risoluzione
    Imposta la risoluzione della mesh terreno a risoluzione. Quest'opzione è disponibile solo se il terrain engine in uso è pagedLOD.

--lod-texturing=bluemarble|raster|debug
    Imposta il metodo per le texture del terreno. Quest'opzione è disponibile solo se il terrain engine in uso è pagedLOD.

--lod-range-mult=moltiplicatore
    Imposta il moltiplicatore intervallo (il punto di transizione da un livello di dettaglio basso ad alto) a moltiplicatore. Quest'opzione è disponibile solo se il terrain engine in uso è pagedLOD.

--enable-splash-screen, --disable-splash-screen
    Mostra/nasconde la schermata di avvio del simulatore durante il caricamento dell'aereo/dello scenario.

--enable-mouse-pointer, --disable-mouse-pointer
    Forza/non forza la visualizzazione del puntatore del mouse all'avvio.

--max-fps=frequenza
    Limita il framerate massimo del simulatore a frequenza Hz (frame al secondo).

--bpp=profondità
    Utilizza una profondità colore di profondità bit per pixel per visualizzare l'aereo e lo scenario.

--fog-disable, --fog-fastest, --fog-nicest
    Seleziona la tecnica di rendering della nebbia/foschia. --fog-disable disabilita completamente nebbia e foschia; --fog-fastest chiede esplicitamente al driver della scheda video di scegliere l'algoritmo di rendering più efficiente, ma forse meno accurato, per la nebbia/foschia; --fog-nicest lascia la scelta dell'algoritmo al driver, il che porta a risultati di miglior qualità.

--enable-enhanced-lighting, --disable-enhanced-lighting
    Abilita/disabilita l'illuminazione pista migliorata. Quest'opzione è deprecata.

--enable-distance-attenuation, --disable-distance-attenuation
    Abilita/disabilita l'attenuazione con la distanza delle luci pista (le luci pista diminuiscono di intensità all'aumento della distanza).

--enable-horizon-effect, --disable-horizon-effect
    Abilita/disabilita l'illusione di crescita dei corpi celesti in prossimità dell'orizzonte.

--enable-specular-highlight, --disable-specular-highlight
    Abilita/disabilita le riflessioni speculari su oggetti texturizzati.

--fov=gradi
    Imposta l'angolo di visione (FOV) a gradi. Angoli di visione grandi consentono di vedere una parte più ampia del mondo; angoli piccoli consentono di "zoomare" sui dettagli.

--aspect-ratio-multiplier=fattore
    Imposta il moltiplicatore rapporto d'aspetto orizzontale e verticale a fattore.

--enable-fullscreen, --disable-fullscreen
    Abilita/disabilita la modalità a schermo intero.

--shading-flat, --shading-smooth
    Utilizza il flat shading/smooth shading. Se il flat shading è attivo, il simulatore utilizza lo stesso colore per colorare le facce di un oggetto: ciò è più veloce, ma rende gli spigoli più pronunciati. Lo smooth shading smussa i cambiamenti di colore fra i vertici, il che porta a risultati di miglior qualità a spese delle prestazioni.

--materials-file=file
    Carica le definizioni dei materiali utilizzati per renderizzare lo scenario da file. Per impostazione predefinita, i materiali sono caricati da $FG_ROOT/regions/materials.xml.

--texture-filtering=valore
    Imposta il filtraggio texture anisotropico a valore. I valori accettabili sono 1 (impostazione predefinita), 2, 4, 8 o 16.

--enable-wireframe, --disable-wireframe
    Abilita/disabilita la modalità disegno wireframe (in cui sono rappresentati solo gli spigoli degli oggetti).

--geometry=larghezzaxaltezza
    Imposta la geometria (dimensioni) della finestra a larghezzaxaltezza (sia larghezza sia altezza sono in pixel).

--view-offset=LEFT|RIGHT|CENTER|valore
    Specifica la direzione predefinita per la vista frontale come offset dalla direzione "davanti a sé". I valori consentiti sono LEFT (-90°), RIGHT (90°), CENTER (0°) o un valore specifico in gradi.

  Opzioni aereo

--aircraft=nome, --vehicle=nome
    Carica un aereo/veicolo da un file set denominato nome-set.xml. Il file viene cercato in $FG_ROOT/Aircraft, nella directory a cui punta la variabile d'ambiente FG_AIRCRAFT e nelle directory fornite a fgfs(1) tramite l'opzione --fg-aircraft.

--aircraft-dir=percorso
    Specifica esplicitamente la directory in cui deve essere cercato il file -set.xml. Se viene utilizzata quest'opzione, la cache dei percorsi salvata in ~/.fgfs/autosave_X_Y.xml, le directory fornite tramite l'opzione --fg-aircraft e la directory specificata nella variabile d'ambiente FG_AIRCRAFT non sono tenute in considerazione.

--show-aircraft
    Stampa un elenco di aerei disponibili ed esce.

--min-status=alpha|beta|early-production|production
    Non elenca aerei con un livello di stato (stato di sviluppo) minore di quello specificato. Vedi la pagina "Aircraft rating system" del wiki FlightGear (http://wiki.flightgear.org/Aircraft_rating_system) per una descrizione estesa delle valutazioni degli aerei.

--fdm=jsb|larcsim|yasim|magic|balloon|ada|external|null
    Seleziona il modello core della dinamica di volo da utilizzare fra i seguenti:

    •   jsb: il modello dinamica di volo JSBSim (http://www.jsbsim.org/), che adotta un approccio alla modellazione guidato dai dati: noti i dati delle prestazioni di un aereo (massa e bilanciamento, reazioni a terra, propulsioni, aerodinamica...), li combina per produrre la dinamica globale dell'aereo;

    •   larcsim: il modello dinamica di volo LaRCsim (http://www.jsbsim.org/), il modello originariamente utilizzato in FlightGear fino al 2000, sviluppato presso la NASA, ora non attivo;

    •   yasim: il modello dinamica di volo YASim (http://wiki.flightgear.org/YASim), che, note le caratteristiche fisiche e di volo di un aereo, tenta di risolvere le equazioni in gioco rispettando tali vincoli;

    •   magic: il modello di volo "Magic Carpet";

    •   balloon: una simulazione di volo di una mongolfiera;

    •   ada: un modello dinamica di volo guidato esternamente progettato dalla Aeronautical Development Agency di Bangalore, India;

    •   external/null: utilizza un modello dinamica di volo esterno (l'opzione external ha lo stesso significato di null ed è mantenuta per motivi di retrocompatibilità).

--aero=nome
    Carica il modello dell'aerodinamica dell'aereo dal file nome.xml nella directory dell'aereo.

--model-hz=n
    Esegui il modello dinamica di volo a una frequenza di n Hz (n volte al secondo).

--speed=n
    Esegui il modello dinamica di volo n volte più velocemente rispetto al tempo reale.

--trim, --notrim
    Corregge/non tenta di correggere il modello. Quest'opzione è valida solo se il modello dinamica di volo utilizzato è JSBSim.

--on-ground
    Posiziona inizialmente l'aereo a terra. Questa è l'opzione predefinita.

--in-air
    Posiziona inizialmente l'aereo in volo. Quest'opzione è implicita se è specificato --altitude.

--enable-auto-coordination, --disable-auto-coordination
    Abilita/disabilita la coordinazione automatica (controllo congiunto del timone e degli alettoni).

--livery=nome
    Carica la livrea dell'aereo da un file denominato nome.

--state=valore
    Imposta lo stato iniziale dell'aereo a valore. Gli stati che è possibile utilizzare dipendono dal modello di aereo.

  Opzioni tempo

--timeofday=real|dawn|morning|noon|afternoon|dusk|evening|midnight
    Avvia il simulatore all'ora del giorno specificata:

    •   real: ora reale;

    •   dawn: l'ora all'istante in cui il Sole è a 90° a Est rispetto all'orizzonte;

    •   morning: l'ora all'istante in cui il Sole è a 75° a Est rispetto all'orizzonte;

    •   noon: l'ora all'istante in cui il Sole è a 0° rispetto all'orizzonte;

    •   afternoon: l'ora all'istante in cui il Sole è a 75° a Ovest rispetto all'orizzonte;

    •   dusk: l'ora all'istante in cui il Sole è a 90° a Ovest rispetto all'orizzonte;

    •   evening: l'ora all'istante in cui il Sole è a 100° a Ovest rispetto all'orizzonte;

    •   midnight: l'ora all'istante in cui il Sole è a 180° rispetto all'orizzonte.

--season=summer|winter
    Carica le texture estive/invernali.

--time-offset=[+|-]hh:mm:ss
    Aggiungi un offset temporale all'orario di avvio specificato con l'opzione --timeofday.

--time-match-real
    Sincronizza l'orario del simulatore con l'ora reale GMT.

--time-match-local
    Sincronizza l'orario del simulatore con l'ora reale locale.

--start-date-sys=yyyy:mm:dd:hh:mm:ss
    Specifica la data e l'ora di avvio del simulatore rispetto al fuso orario locale del sistema.

--start-date-gmt=yyyy:mm:dd:hh:mm:ss
    Specifica la data e l'ora di avvio del simulatore rispetto all'ora di Greenwich.

--start-date-lat=yyyy:mm:dd:hh:mm:ss
    Specifica la data e l'ora di avvio del simulatore rispetto al fuso orario locale dell'aeroporto di partenza.

  Posizione e orientamento iniziali

--airport=ID
    Avvia il simulatore all'aeroporto con codice ICAO ID.

--parking-id=nome
    Posiziona l'aereo alla posizione di parcheggio nome. Quest'opzione richiede che l'opzione --airport sia presente.

--runway=numero
    Posiziona l'aereo sulla pista numero. Quest'opzione richiede che l'opzione --airport sia presente.

--carrier=name|ID
    Posiziona l'aereo sulla portaerei AI denominata nome/con ID ID.

--parkpos=nome
    Posiziona l'aereo alla posizione iniziale nome. Quest'opzione richiede che l'opzione --carrier sia presente.

--vor=ID
    Posiziona l'aereo sulla verticale del VOR ID.

--vor-frequency=frequenza
    Imposta la frequenza del VOR a frequenza. Quest'opzione richiede che l'opzione --vor sia presente.

--ndb=ID
    Posiziona l'aereo sulla verticale dell'NDB ID.

--ndb-frequency=frequenza
    Imposta la frequenza dell'NDB a frequenza. Quest'opzione richiede che l'opzione --ndb sia presente.

--fix=ID
    Posiziona l'aereo sulla verticale del punto ID.

--offset-distance=nm
    Posiziona l'aereo a nm miglia di distanza dal punto di riferimento specificato dalle opzioni precedenti.

--offset-azimuth=gradi
    Posiziona l'aereo con prua gradi rispetto al punto di riferimento specificato dalle opzioni precedenti.

--lon=gradi, --lat=gradi
    Posiziona l'aereo al punto con coordinate (lat, lon). Le longitudini settentrionali/latitudini orientali devono essere numeri positivi; le longitudini meridionali/latitudini occidentali devono essere numeri negativi.

--altitude=valore
    Posiziona l'aereo a un'altitudine di valore piedi (metri se è specificata l'opzione --units-meters).

--heading=gradi
    Specifica la prua iniziale (imbardata, psi) dell'aereo.

--roll=gradi
    Specifica il rollio iniziale (phi) dell'aereo.

--pitch=gradi
    Specifica il beccheggio iniziale (theta) dell'aereo.

--uBody=unità_per_s
    Specifica la velocità iniziale lungo l'asse X del corpo.

--vBody=unità_per_s
    Specifica la velocità iniziale lungo l'asse Y del corpo.

--wBody=unità_per_s
    Specifica la velocità iniziale lungo l'asse Z del corpo.

--vNorth=unità_per_s
    Specifica la velocità iniziale lungo l'asse Nord-Sud del corpo.

--vEast=unità_per_s
    Specifica la velocità iniziale lungo l'asse Ovest-Est del corpo.

--vDown=unità_per_s
    Specifica la velocità iniziale lungo l'asse verticale del corpo.

--vc=nodi
    Imposta la velocità all'aria iniziale dell'aereo a nodi nodi.

--mach=numero
    Imposta la velocità all'aria iniziale dell'aereo a Mach numero.

--glideslope=gradi
    Imposta l'angolo di discesa a gradi gradi. Il valore può essere positivo.

--roc=fpm
    Imposta il rateo di salita iniziale a fpm piedi al minuto. Il valore può essere negativo.

  Opzioni rotta/waypoint

--wp=ID[@alt]
    Inserisce il waypoint (VOR, NDB, punto) ID nel pilota automatico. La parte facoltativa @alt può essere utilizzata per specificare l'altitudine a cui superare ID.

--flight-plan=file
    Leggi un piano di volo da file.

  Opzioni avionica

--com1=frequenza
    Imposta la frequenza COM1 a frequenza MHz.

--com2=frequenza
    Imposta la frequenza COM2 a frequenza MHz.

--nav1=[radiale:]frequenza
    Imposta la frequenza NAV1 a frequenza MHz. È facoltativamente possibile specificare un radiale premettendo la prua e due punti alla frequenza.

--nav2=[radiale:]frequenza
    Imposta la frequenza NAV2 a frequenza MHz. È facoltativamente possibile specificare un radiale premettendo la prua e due punti alla frequenza.

--adf1=[rotazione:]frequenza, --adf=[rotazione:]frequenza
    Imposta la frequenza ADF1 a frequenza kHz. È facoltativamente possibile specificare l'angolo di rotazione del COMPASS CARD premettendo alla frequenza l'angolo e due punti. L'opzione --adf è deprecata.

--adf2=[rotation:]frequenza
    Imposta la frequenza ADF2 a frequenza kHz. È facoltativamente possibile specificare l'angolo di rotazione del COMPASS CARD premettendo alla frequenza l'angolo e due punti.

--dme=nav1|nav2|frequenza
    Fa dipendere l'ADF dalla radio NAV1/NAV2 o imposta la sua frequenza interna a frequenza.

  Opzioni ambiente

--metar=METAR
    Simula le condizioni meteo descritte dalla stringa METAR METAR. Quest'opzione implica --disable-real-weather-fetch.

--enable-real-weather-fetch, --disable-real-weather-fetch
    Abilita/disabilita il recupero delle condizioni meteo reali basate sui METAR. Questa funzionalità richiede una connessione a Internet attiva.

--enable-clouds, --disable-clouds
    Abilita/disabilita gli strati di nuvole 2D (piatti).

--enable-clouds3d, --disable-clouds3d
    Abilita/disabilita gli strati di nuvole 3D (volumetrici).

--visibility=metri
    Imposta la visibilità iniziale a metri metri.

--visibility-miles=miglia
    Imposta la visibilità iniziale a miglia miglia.

--wind=direzione[:direzionemassima]@velocità[:raffica]
    Specifica la direzione da cui soffia il vento (direzione) e la sua velocità (velocità nodi). Se il vento non deve soffiare da una direzione fissa, ma da un intervallo di direzioni, specificare l'intervallo come direzione:direzionemassima, dove direzione e direzionemassima sono gli angoli minimi e massimi in gradi. Se si vuole che il simulatore modelli anche raffiche di vento, impostare raffica alla loro intensità massima in nodi.

--random-wind
    Modifica casualmente la direzione e la velocità del vento.

--turbulence=intensità
    Imposta l'intensità della turbolenza a intensità. L'intensità può variare da 0.0 (vento calmo) a 1.0 (intensa).

--ceiling=ft_slm[:spessore_ft]
    Crea uno strato di nubi con base ad un'altezza di ft_slm piedi sul livello del mare. È facoltativamente possibile specificare uno spessore aggiungendo due punti (:) e lo spessore desiderato in piedi; se viene omesso, il simulatore per impostazione predefinita lo renderà di 2000 ft.

  Opzioni rete

--callsign=valore
    Imposta il nominativo di chiamata multigiocatore a valore. Il nominativo di chiamata deve consistere al più di dieci lettere e può contenere solo numeri, lettere dell'alfabeto inglese, trattini (-) e trattini bassi (_); i nominativi di chiamata più lunghi vengono troncati e i caratteri che non rientrano in quelli elencati sopra sono sostituiti da trattini.

--multiplay={in|out},hz,indirizzo,porta
    Specifica le impostazioni di comunicazione multigiocatore. Il primo campo specifica se le impostazioni si applicano alle comunicazioni in ingresso (in) o in uscita (out). Il secondo campo (hz) specifica la frequenza (in Hz, volte al secondo) con cui devono essere inviati i dati. Il terzo campo (indirizzo) deve essere impostato all'indirizzo IP dell'interfaccia di rete che FlightGear deve utilizzare per inviare/ricevere i dati, o deve essere lasciato vuoto per far sì che il simulatore utilizzi tutte le interfacce disponibili. Il quarto campo (porta) deve essere impostato alla porta da utilizzare (solitamente 5000).

--proxy=[nomeutente:password@]host:porta
    Specifica il server proxy e la porta da utilizzare. Il nome utente e la password sono facoltativi; se presenti, devono essere specificati come hash MD5. Quest'opzione è utile solo se --real-weather-fetch è abilitato.

--httpd=[indirizzo:]porta
    Abilita l'interfaccia Phi (server HTTP) sull'indirizzo e sulla porta specificati. L'indirizzo è facoltativo.

--telnet=porta
    Abilita l'interfaccia Telnet sulla porta specificata.

--jpg-httpd=porta
    Abilita l'interfaccia del server schermate HTTP sulla porta specificata. Quest'opzione è deprecata: si utilizzi l'interfaccia Phi.

--enable-terrasync, --disable-terrasync
    Abilita/disabilita il download automatico dello scenario/degli oggetti.

--terrasync-dir=directory
    Imposta la directory dove sarà salvato lo scenario scaricato a directory.

--enable-fgcom, --disable-fgcom
    Abilita/disabilita l'integrazione FGCom (ATC vocale).

  Opzioni I/O

--generic=parametri, --atlas=parametri, --atcsim=parametri, --AV400=parametri, --AV400Sim=parametri, --AV400WSimA=parametri, --AV400WSimB=parametri, --garmin=parametri, --hla=parametri, --hla-local=parametri, --igc=parametri, --joyclient=parametri, --jsclient=parametri, --native-ctrls=parametri, --native-gui=parametri, --native-fdm=parametri, --native=parametri, --nmea=parametri, --opengc=parametri, --props=parametri, --pve=parametri, --ray=parametri, --rul=parametri
    Apre una connessione per pilotare programmi esterni o hardware. Specificare il protocollo utilizzando l'opzione della riga di comando corretta:

    •   generic: un'interfaccia di comunicazione predefinita e un protocollo di comunicazione preselezionato;

    •   atlas: il protocollo Atlas;

    •   atcsim: il protocollo ATCsim (atc610x);

    •   AV400: il protocollo Garmin AV400, richiesto per pilotare un GPS serie Garmin 196/296;

    •   AV400Sim: l'insieme delle stringhe AV400 richiesto per pilotare un GPS serie Garmin 400;

    •   AV400WSimA, AV400WSimB: l'insieme delle stringhe richieste per pilotare un GPS Garmin WAAS (dove il canale A utilizza una variante del protocollo AVSim400 e il canale B comunica con l'unità GPS);

    •   garmin: il protocollo Garmin GPS;

    •   hla, hla-local: il protocollo HLA, remoto o locale;

    •   igc: il protocollo International Glider Commission;

    •   joyclient: il protocollo utilizzato dai joystick Agwagon;

    •   native-ctrls: il protocollo FlightGear Native Controls;

    •   native-gui: il protocollo FlightGear Native GUI;

    •   native-fdm: il protocollo FlightGear Native FDM;

    •   native: il protocollo FlightGear Native;

    •   nmea: il protocollo NMEA (utilizzato per pilotare la maggior parte delle unità GPS);

    •   opengc: il protocollo utilizzato da OpenGC, un software utilizzato per eseguire il rendering di display glass cockpit di alta qualità per cabine di pilotaggio simulate;

    •   props: il protocollo gestore proprietà interattivo;

    •   pve: il protocollo PVE;

    •   ray: il protocollo sedia mobile Ray Woodworth;

    •   rul: il protocollo RUL.
    I parametri (parametri) devono essere nel formato mezzo,direzione,hz,opzioni_mezzo dove mezzo è il mezzo utilizzato dal protocollo (serial, socket, file...), direzione è la direzione delle comunicazioni (in, out o bi), hz è la frequenza a cui deve essere gestito il canale (sono accettati valori in virgola mobile) e opzioni_mezzo sono:

    •   per i protocolli seriali, dispositivo,baud, dove dispositivo è il nome del dispositivo da aprire e baud è la velocità di comunicazione in baud;

    •   per i protocolli socket, macchina,porta,stile, dove macchina è il nome della macchina o l'indirizzo IP del server (se il simulatore deve fungere da client) o è lasciato vuoto (se il simulatore deve fungere da server), porta è la porta da utilizzare (o è lasciato vuoto per richiedere al sistema operativo di scegliere una porta fra quelle disponibili) e stile è tcp o udp;

    •   per i protocolli file, nomefile, dove nomefile è il nome del file in cui devono essere scritti i dati.

  Opzioni di debug

--enable-fpe
    Interrompi l'esecuzione quando si verifica un'eccezione in virgola mobile.

--fgviewer
    Mostra lo scenario e l'aereo in un visualizzatore modelli semplice, senza caricare il simulatore nella sua interezza.

--log-level=bulk|debug|info|warn|alert
    Imposta il livello minimo di registrazione eventi. Gli eventi con gravità maggiore o uguale al valore specificato verranno registrati; gli altri verranno scartati.

--log-class=all|none|ai|environment|flight|general|io|network|sound|terrain|...
    Registra solamente gli eventi appartenenti alle classi di log specificate (all registra tutti gli eventi, none non ne registra nessuno). È possibile specificare classi multiple separandole con virgole o barre verticali, ad esempio: --log-class=ai,flight.

--log-dir=dir
    Salva i log nella directory dir. Se dir è desktop, i log saranno salvati sul Desktop. Quest'opzione può essere specificata più volte indicando una directory diversa ogni volta. All'interno della directory specificata il file di log sarà denominato FlightGear_YYYY-MM-DD_num.log, dove YYYY-MM-DD è la data corrente e num è un numero progressivo che parte da 0.

--trace-read=proprietà, --trace-write=proprietà
    Traccia le letture/scritture di una proprietà (stampa un messaggio di log ogni volta che proprietà viene letta/scritta).

--developer
    Abilita la modalità sviluppatore.

STATI D'USCITA
fgfs esce con 0 se l'esecuzione ha avuto successo o con un altro stato (solitamente 1 o -1) se si è verificato un errore.

VARIABILI D'AMBIENTE

COMPUTERNAME
    Specifica il nome host da utilizzare per il sistema. Questa variabile d'ambiente è presa in considerazione solo sui sistemi operativi Microsoft Windows.

FG_AIRCRAFT
    Specifica il percorso in cui devono essere ricercati gli aerei.

FG_LAUNCHER
    Se questa variabile d'ambiente è impostata e non è pari a 0, sarà visualizzato il launcher Qt. Questa variabile è utilizzata principalmente sui sistemi operativi Mac OS X per evitare l'utilizzo di script wrapper.

FG_ROOT
    Specifica la directory radice dei dati da utilizzare.

FG_SCENERY
    Specifica la directory dello scenario da utilizzare.

HTTP_PROXY
    Specifica il proxy HTTP da utilizzare. Dev'essere nel formato http://host:porta/.

LANG
    Specifica la lingua da utilizzare.

FILE

~/.fgfs
    La directory principale in cui sono salvati i file di configurazione e i dati (aerei/scenario scaricati) di FlightGear.

~/.fgfsrc.nomehost, ~/.fgfsrc
    File di configurazione contenenti opzioni della riga di comando per fgfs(1).